Bug 14917 - RDA: 700/710/711 fix path for icon in XSLT
Summary: RDA: 700/710/711 fix path for icon in XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 15:25 UTC by Winona Salesky
Modified: 2016-12-05 21:27 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patch correcting icon path (1.59 KB, patch)
2015-09-30 02:38 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14917 - RDA: 700/710/711 fix path for icon in XSLT. Added theme and materialTypeLabel parameters back into showAuthor template call for 7xx display in OPAC display. (1.70 KB, patch)
2015-10-01 16:25 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14917 - RDA: 700/710/711 fix path for icon in XSLT. (1.70 KB, patch)
2015-10-01 16:27 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 14917 - RDA: 700/710/711 fix path for icon in XSLT. Added theme and materialTypeLabel parameters back into showAuthor template call for 7xx display in OPAC display. (1.75 KB, patch)
2015-10-04 20:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Winona Salesky 2015-09-28 15:25:17 UTC
Fix broken path to icon in 7xx fields. Bug introduced in http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=13382#c45
Comment 1 Marc Véron 2015-09-29 08:59:41 UTC
Status is Needs Sign-off but there is no patch :-)
Comment 2 Winona Salesky 2015-09-29 10:48:52 UTC
Sorry, having some trouble with git bz. Just tried again and received another 200 error. 

-Winona

(In reply to Marc Véron from comment #1)
> Status is Needs Sign-off but there is no patch :-)
Comment 3 Winona Salesky 2015-09-30 02:38:13 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2015-10-01 16:25:45 UTC Comment hidden (obsolete)
Comment 5 Héctor Eduardo Castro Avalos 2015-10-01 16:27:57 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2015-10-04 20:29:40 UTC
Created attachment 43097 [details] [review]
[PASSED QA] Bug 14917 - RDA: 700/710/711 fix path for icon in XSLT. Added theme and materialTypeLabel parameters back into showAuthor template call for 7xx display in OPAC display.

Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac record details
3) Find or create a record with MARC tags 700,710,711
5) Click title to review record details.
6) Link to icon following contributor names should appear.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as expected. Magnifying glass icon corrected

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2015-10-05 15:41:33 UTC
Patch pushed to master.

Thanks Winona!
Comment 8 Winona Salesky 2015-10-05 15:42:40 UTC
Great! Thank you.
-Winona

(In reply to Tomás Cohen Arazi from comment #7)
> Patch pushed to master.
> 
> Thanks Winona!
Comment 9 Danielle Elder 2016-04-14 17:24:28 UTC
Hi, Winona, 

Yes, the marc I copied in my original comment was straight from the record. I copy/pasted.

Dani